{
	"name": "form/manager/work_phase_failed/convert_new_rcl.json",
	"convert": [
		[
			"rcl",
			"=",
			[
				"rec",
				[
					["rcl.reclamation_id", "=", ""],
					["rcl.json_data.firm_id", "=", 1],
					["rcl.creation_date", "=", ["currentDateString"]],
					["rcl.fault_made_date", "=", ["currentDateString"]],
					["rcl.employee_description", "=", "rcl.employee_description"],
					["rcl.json_data.handler_id", "=", ""],
					["rcl.created_from", "=", ["concatWith", [["/", "hylkykuittaus", "rcl.created_from"]]]],
					["rcl.failed_amount", "=", "rcl.failed_amount"],
					["rcl.rejected_amount", "=", "rcl.failed_amount"],
					["rcl.fault_reason", "=", "rcl.fault_reason"],
					["rcl.fault_type", "=", "rcl.fault_type"],
					["rcl.production_lot", "=", "prwo.production_lot"],
					["rcl.fault_made_work_phase", "=", "prwo.work_phase_number"],
					["rcl.fault_found_work_phase", "=", "prwo.work_phase_number"],
					["rcl.json_data.fault_made_resource_id", "=", "prwo.resource_id"],
					["rcl.fault_found_resource_id", "=", "prwo.resource_id"],

					["rcl.product_id", "=", "pr.product_id"],
					["rcl.sales_order_id", "=", "pro.sales_order_id"],
					["rcl.company_id", "=", "pro.company_id"],
					["rcl.json_data.print_to_report", "=", true],
					["rcl.calculation_type", "=", 1],
					["rcl.show_type", "=", 1],
					["rcl.other_charges", "=", 100],
					["rcl.json_data.repair_price__unit", "=", 20]
				]
			]
		]
	]
}
